ScalES-PPM - Feature #322

Add general MPI datatype-based access to distributed multi-array
07/02/2013 01:34 PM - Thomas Jahns

Status: Closed Start date: 07/02/2013
Priority: Low Due date:

Assignee: % Done: 100%
Category: Estimated time: 0:00 hour
Target version:

Description

The multi-array could provide access to types not directly supported via an interface that looks like this:

subroutine dist_mult_array_get_cache_val_mpidt (dm_array, sub_array_idx, &
cache_idx, coord, v)

TYPE (dist_mult_array), INTENT(in) :: dm_array
INTEGER, INTENT (in) :: sub_array_idx, cache_idx
INTEGER, INTENT (in) :: coord(:)

TYPE (C_PTR) :: v

and write to v via MPI_Sendrecv on MPI_Comm_self.

History

#1 - 07/02/2013 01:35 PM - Thomas Jahns

- Description updated

#2 - 07/02/2013 01:36 PM - Thomas Jahns

- Description updated

#3 - 08/05/2020 10:35 AM - Thomas Jahns
- Status changed from New to Closed

- % Done changed from 0 to 100

This has become non-issue with the replacement of type-specific Fortran code by a type-agnostic C implementation in commit:bd2cdaf0b4f0e6c73.
